Bug 1532378

Summary: dnf refuses to install debugsource package in presence of debuginfo package
Product: [Fedora] Fedora Reporter: Pavel Roskin <proski>
Component: dnfAssignee: Lukáš Hrázký <lhrazky>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 30CC: aspotashev, dmach, jmracek, lhrazky, packaging-team-maint, rpm-software-management, vmukhame
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: dnf-4.2.11-2.fc30 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-10-10 16:56:03 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Pavel Roskin 2018-01-08 20:17:45 UTC
Description of problem:

"dnf debuginfo-install foo-debugsource" fails if foo-debuginfo is installed.

Version-Release number of selected component (if applicable):
dnf-2.7.5-2.fc27.noarch

How reproducible:
Every time

Steps to Reproduce:
1. sudo rpm -e libiio-debuginfo
2. sudo rpm -e libiio-debugsource
3. sudo dnf debuginfo-install libiio-debuginfo
4. sudo rpm -e libiio-debugsource
5. sudo dnf debuginfo-install libiio-debugsource

Actual results:

enabling updates-testing-debuginfo repository
enabling updates-debuginfo repository
enabling fedora-debuginfo repository
enabling rpmfusion-free-updates-debuginfo repository
enabling rpmfusion-free-debuginfo repository
Last metadata expiration check: 1:12:45 ago on Mon 08 Jan 2018 10:57:23 AM PST.
Package libiio-debuginfo-0.12-1.fc27.x86_64 is already installed, skipping.
Dependencies resolved.
Nothing to do.
Complete!

Expected results:

dnf suggests to install libiio-debugsource

Additional info:

If both libiio-debuginfo and libiio-debugsource are uninstalled, "dnf debuginfo-install libiio-debugsource" prints:

Installing:
 libiio-debuginfo
Installing weak dependencies:
 libiio-debugsource

A package explicitly requested on the command line should not be called a dependency, weak or otherwise.

It's counterintuitive that the user should remove the debuginfo package to install the debugsource package.

Comment 1 Ben Cotton 2018-11-27 14:19:02 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-02-19 17:12:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.

Comment 4 Fedora Update System 2019-10-02 08:32:01 UTC
FEDORA-2019-049b4836a6 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-049b4836a6

Comment 5 Fedora Update System 2019-10-03 01:52:38 UTC
dnf-4.2.11-2.fc30, dnf-plugins-core-4.0.10-1.fc30, libdnf-0.35.5-2.fc30, librepo-1.10.6-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-049b4836a6

Comment 6 Fedora Update System 2019-10-10 16:56:03 UTC
dnf-4.2.11-2.fc30, dnf-plugins-core-4.0.10-1.fc30, libdnf-0.35.5-2.fc30, librepo-1.10.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.